summaryrefslogtreecommitdiffstats
path: root/examples/root/etc
diff options
context:
space:
mode:
authorLuke Kanies <luke@madstop.com>2005-04-13 15:23:57 +0000
committerLuke Kanies <luke@madstop.com>2005-04-13 15:23:57 +0000
commit5416017c05e44fc635ad14ffdf1ac1163a4cc6e5 (patch)
tree29a33a7dd1389abde8d92219a17beead01ba1f47 /examples/root/etc
parent54e9b5e3561977ea063417da12c46aad2a4c1332 (diff)
downloadpuppet-5416017c05e44fc635ad14ffdf1ac1163a4cc6e5.tar.gz
puppet-5416017c05e44fc635ad14ffdf1ac1163a4cc6e5.tar.xz
puppet-5416017c05e44fc635ad14ffdf1ac1163a4cc6e5.zip
reorganizing
git-svn-id: https://reductivelabs.com/svn/puppet/library/trunk@95 980ebf18-57e1-0310-9a29-db15c13687c0
Diffstat (limited to 'examples/root/etc')
-rw-r--r--examples/root/etc/configfile0
-rwxr-xr-xexamples/root/etc/init.d/sleeper25
2 files changed, 25 insertions, 0 deletions
diff --git a/examples/root/etc/configfile b/examples/root/etc/configfile
new file mode 100644
index 000000000..e69de29bb
--- /dev/null
+++ b/examples/root/etc/configfile
diff --git a/examples/root/etc/init.d/sleeper b/examples/root/etc/init.d/sleeper
new file mode 100755
index 000000000..7a6614087
--- /dev/null
+++ b/examples/root/etc/init.d/sleeper
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+PATH=$PATH:/home/luke/svn/blink/examples/root/bin
+
+case "$1" in
+ start)
+ sleeper
+ ;;
+ stop)
+ kill `ps -ef | grep -v grep | grep sleeper | grep perl | awk '{print $2}'`
+ ;;
+ status)
+ if sh -c "ps -ef | grep -v grep | grep -v init.d | grep sleeper"; then
+ exit 0
+ else
+ exit 1
+ fi
+ ;;
+ *)
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0